Error to create build native Mobile app after add google maps api

Hi,

I tried to create a new version of my mobile app, after add Google Maps API.

I am getting errors while creating new build:

"Error compiling Cordova plugin:

org/apache/cordova/engine/SystemCookieManager.java uses or overrides a deprecated API."


Thanks,

Carlos Giorgi


Log:


[2019-11-01T20:23:17.800Z] [INFO] Start processing job request...
[2019-11-01T20:23:17.802Z] [INFO] Start generating application...
[2019-11-01T20:23:17.803Z] [INFO] Template version: 5.1.13
[2019-11-01T20:23:17.803Z] [INFO] Build features: cordovaNoFetch - true
[2019-11-01T20:23:17.803Z] [INFO] Build features: buildTimeout - 20
[2019-11-01T20:23:17.803Z] [INFO] Build features: optInBeta - true
[2019-11-01T20:23:17.803Z] [INFO] Creating a temporary folder for the application...
[2019-11-01T20:23:17.804Z] [INFO] Creating the required directory structure for your cordova application...
[2019-11-01T20:23:22.150Z] [INFO] Getting application resources...
[2019-11-01T20:23:22.200Z] [INFO] Processing application resources...
[2019-11-01T20:23:22.516Z] [INFO] Generating application assets...
[2019-11-01T20:23:23.542Z] [INFO] Applying configurations in the config.xml file...
[2019-11-01T20:23:23.548Z] [INFO] Applying advanced configurations in the config.xml file...
[2019-11-01T20:23:23.548Z] [INFO] Applying custom application icons...
[2019-11-01T20:23:23.548Z] [INFO] Applying custom application splashscreens...
[2019-11-01T20:23:23.549Z] [INFO] Applying application preferences...
[2019-11-01T20:23:23.549Z] [INFO] Applying application accessList...
[2019-11-01T20:23:23.549Z] [INFO] Adding target platform...
[2019-11-01T20:23:58.396Z] [INFO] Applying plugins in the config.xml file...
[2019-11-01T20:23:58.396Z] [INFO] Plugin Id: https://github.com/apache/cordova-plugin-file.git#4.3.3
[2019-11-01T20:23:58.396Z] [INFO] Plugin Action: add
[2019-11-01T20:24:01.701Z] [INFO] /tmp/build/source/resources0/cordova-base64-to-gallery-master
[2019-11-01T20:24:01.701Z] [INFO] Plugin Action: add
[2019-11-01T20:24:03.011Z] [INFO] Plugin Id: https://github.com/OutSystemsExperts/cordova-plugin-file-transfer.git#1.5.1.os
[2019-11-01T20:24:03.012Z] [INFO] Plugin Action: add
[2019-11-01T20:24:05.776Z] [INFO] Plugin Id: https://github.com/OutSystemsExperts/File-Viewer-Plugin.git#1.1.1
[2019-11-01T20:24:05.776Z] [INFO] Plugin Action: add
[2019-11-01T20:24:07.979Z] [INFO] Plugin Id: https://github.com/OutSystems/OneSignal-Cordova-SDK.git#2.4.5-OS2
[2019-11-01T20:24:07.979Z] [INFO] Plugin Action: add
[2019-11-01T20:24:11.011Z] [INFO] Plugin Id: https://github.com/OutSystems/pushwoosh-phonegap-plugin.git#7.8.3-OS3
[2019-11-01T20:24:11.011Z] [INFO] Plugin Action: add
[2019-11-01T20:24:20.542Z] [INFO] Plugin Id: https://github.com/OutSystemsExperts/cordova-plugin-googlemaps#OS_2.0.0-beta3-20170802-1930
[2019-11-01T20:24:20.542Z] [INFO] Plugin Action: add
[2019-11-01T20:24:35.505Z] [INFO] Getting signing keys...
[2019-11-01T20:24:35.812Z] [INFO] Building application package...
[2019-11-01T20:25:20.509Z] [ERROR] Stopping Daemon(s)


2 Daemons stopped


To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/4.10.3/userguide/gradle_daemon.html.


Daemon will be stopped at the end of the build stopping after processing




> Task :help


Welcome to Gradle 4.10.3.


To run a build, run
gradle <task> ...



To see a list of available tasks, run
gradle tasks



To see a list of command-line options, run
gradle --help



To see more detail about a task, run
gradle
help --task <task>


For troubleshooting, visit
https://help.gradle.org



BUILD SUCCESSFUL
 in 9s

1 actionable task: 1 executed

Starting a Gradle Daemon, 8 stopped Daemons could not be reused, use --status for details


> Task :clean
 UP-TO-DATE
> Task :app:clean
 UP-TO-DATE

> Task :CordovaLib:clean
 UP-TO-DATE

> Task :app:cleanBuildCache


> Task :CordovaLib:cleanBuildCache



BUILD SUCCESSFUL in 9s
5 actionable tasks: 2 executed, 3 up-to-date

Running hook to create drawables
/tmp/build/source/platforms/android/CordovaLib/src/org/apache/cordova/engine/SystemCookieManager.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
/opt/NativeBuilder/builds/81e1cd47-a3cd-404e-a9fb-58a56211ea84/source/platforms/android/app/src/main/java/plugin/google/maps/Environment.java:121: error: cannot find symbol
    String msg = GoogleApiAvailability.getInstance().getOpenSourceSoftwareLicenseInfo(cordova.getActivity());
                                                    ^
  symbol:   method getOpenSourceSoftwareLicenseInfo(Activity)
  location: class GoogleApiAvailability
/opt/NativeBuilder/builds/81e1cd47-a3cd-404e-a9fb-58a56211ea84/source/platforms/android/app/src/main/java/plugin/google/maps/AsyncLicenseInfo.java:22: error: cannot find symbol
    String licenseInfo = GooglePlayServicesUtil.getOpenSourceSoftwareLicenseInfo(mActivity);
                                               ^
  symbol:   method getOpenSourceSoftwareLicenseInfo(Activity)
  location: class GooglePlayServicesUtil
Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
2 errors

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':app:compileDebugJavaWithJavac'.
> Compilation failed; see the compiler error output for details.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 19s
Error: /opt/NativeBuilder/builds/81e1cd47-a3cd-404e-a9fb-58a56211ea84/source/platforms/android/gradlew: Command failed with exit code 1 Error output:
Note: /opt/NativeBuilder/builds/81e1cd47-a3cd-404e-a9fb-58a56211ea84/source/platforms/android/CordovaLib/src/org/apache/cordova/engine/SystemCookieManager.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
/opt/NativeBuilder/builds/81e1cd47-a3cd-404e-a9fb-58a56211ea84/source/platforms/android/app/src/main/java/plugin/google/maps/Environment.java:121: error: cannot find symbol
    String msg = GoogleApiAvailability.getInstance().getOpenSourceSoftwareLicenseInfo(cordova.getActivity());
                                                    ^
  symbol:   method getOpenSourceSoftwareLicenseInfo(Activity)
  location: class GoogleApiAvailability
/opt/NativeBuilder/builds/81e1cd47-a3cd-404e-a9fb-58a56211ea84/source/platforms/android/app/src/main/java/plugin/google/maps/AsyncLicenseInfo.java:22: error: cannot find symbol
    String licenseInfo = GooglePlayServicesUtil.getOpenSourceSoftwareLicenseInfo(mActivity);
                                               ^
  symbol:   method getOpenSourceSoftwareLicenseInfo(Activity)
  location: class GooglePlayServicesUtil
Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
2 errors

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':app:compileDebugJavaWithJavac'.
> Compilation failed; see the compiler error output for details.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 19s

[2019-11-01T20:25:20.516Z] [ERROR] Build failed with the following error: Error compiling Cordova plugin: org/apache/cordova/engine/SystemCookieManager.java uses or overrides a deprecated API..
[2019-11-01T20:25:20.516Z] [INFO] Remove debug/release signing properties
[2019-11-01T20:25:20.517Z] [INFO] Zipping application source...
[2019-11-01T20:26:06.411Z] [INFO] Application was not successfully generated!
[2019-11-01T20:26:06.412Z] [INFO] Execution time: 168649ms

Hi Carlos,

Did you solve this issue?  

I also have this same problem. The Google Maps Plugin has updated the repository on GitHub and is no longer compiling for Android. I have tried several versions of MABS (including beta 6) without success. The branche used in the plugin is #multiple_maps which was version 2.0 and updated to 2.7.